var urlPatternLevelMiddlwareTest = function(req, res, next) {
    req.urlPatternLevelMiddlewareTestValue = 'url pattern level middleware test value';
    next();
};

var patterns = [
    [
        '/',
        'example.example1'
    ],[
        '/middlewaretest/',
        'example.middlewaretest',
        urlPatternLevelMiddlwareTest
    ],[
        '/noautoloadprofiletest/',
        'example.noautoloadprofiletest', {
            autoLoadProfile: false
        }
    ],[
        '/requestextrastest/',
        'example.requestextrastest', {
            requestExtraVal: 'request extra test val'
        }
    ],[
        '/dynamichelpertest/',
        'example.dynamichelpertest'
    ],[
        '/hasmiddlewareandextrasconfigtest/',
        'example.hasmiddlewareandextrasconfigtest', urlPatternLevelMiddlwareTest, {
            requestExtraVal: 'request extra test val'
        }
    ],[
        '/profilemiddlewaregetvaluetest/',
        'example.profilemiddlewaregetvaluetest'
    ],[
        '/profilemiddlewaresetvaluetest/',
        'example.profilemiddlewaresetvaluetest'
    ],[
        '/sessiongettest/',
        'example.sessiongettest'
    ],[
        '/sessionsettest/',
        'example.sessionsettest'
    ],[
        '/err/',
        'example.errorexample'
    ]
];

exports.patterns = patterns;
